ros-melodic-rosbag (1.14.7-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 31 Jul 2020 07:00:00 -0000

ros-melodic-rosbag (1.14.6-1bionic) bionic; urgency=high

  * fix bag migration failures caused by typo in connection_header assignment (#1952 <https://github.com/ros/ros_comm/issues/1952>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 May 2020 07:00:00 -0000

ros-melodic-rosbag (1.14.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 07:00:00 -0000

ros-melodic-rosbag (1.14.4-1bionic) bionic; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * add quotes around file name so they can be click selected in terminal (#1813 <https://github.com/ros/ros_comm/issues/1813>)
  * catch exceptions by const ref (#1874 <https://github.com/ros/ros_comm/issues/1874>)
  * read GPG passphrase from an environment variable (#1856 <https://github.com/ros/ros_comm/issues/1856>)
  * fix missing import of roslib (#1818 <https://github.com/ros/ros_comm/issues/1818>)
  * fix regression from pycrypodome switchover (#1814 <https://github.com/ros/ros_comm/issues/1814>)
  * use condition attributes to specify Python 2 and 3 dependencies (#1792 <https://github.com/ros/ros_comm/issues/1792>)
  * add pycryptodome as default (#1609 <https://github.com/ros/ros_comm/issues/1609>)
  * encrypted rosbag fixes for Python 3 (#1777 <https://github.com/ros/ros_comm/issues/1777>)
  * fix bug in bag migration (#1786 <https://github.com/ros/ros_comm/issues/1786>)
  * keep latched topics latched (#1708 <https://github.com/ros/ros_comm/issues/1708>)
  * wrap the rosbag filter eval in a lambda (#1712 <https://github.com/ros/ros_comm/issues/1712>)
  * record: fix signed int overflow (#1741 <https://github.com/ros/ros_comm/issues/1741>)
  * switch to yaml.safe_load(_all) to prevent YAMLLoadWarning (#1688 <https://github.com/ros/ros_comm/issues/1688>)
  * pickleable rosbag exceptions (#1210 <https://github.com/ros/ros_comm/issues/1210> revisited). (#1652 <https://github.com/ros/ros_comm/issues/1652>)
  * fix topic message count for rosbag indexed v1.2 (#1648 <https://github.com/ros/ros_comm/issues/1648>)
  * fix wrong error handling in migration (#1639 <https://github.com/ros/ros_comm/issues/1639>)
  * modernization: replaced BOOST_FOREACH with range-based for-loops, used algorithm where appropriated (#1641 <https://github.com/ros/ros_comm/issues/1641>)
  * fix IOError during Python file operation (#1617 <https://github.com/ros/ros_comm/issues/1617>)
  * add Windows.h usage explicitly (#44 <https://github.com/ros/ros_comm/issues/44>) (#1616 <https://github.com/ros/ros_comm/issues/1616>)
  * fix waitForSubscribers hanging with simtime (#1543 <https://github.com/ros/ros_comm/issues/1543>)
  * publish last message from latch topics when start time > 0 (#1537 <https://github.com/ros/ros_comm/issues/1537>)
  * add a new option to publish when a bag write begin (#1527 <https://github.com/ros/ros_comm/issues/1527>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 08:00:00 -0000

ros-melodic-rosbag (1.14.3-1bionic) bionic; urgency=high

  * restore API compatibility (#1473 <https://github.com/ros/ros_comm/issues/1473>) (regression from 1.14.0)
  * throw BagException when disk is full (#1451 <https://github.com/ros/ros_comm/issues/1451>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 07:00:00 -0000

ros-melodic-rosbag (1.14.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 07:00:00 -0000

ros-melodic-rosbag (1.14.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rosbag (1.14.0-1bionic) bionic; urgency=high

  * keep connection header info in rosbag filter/compress (#1372 <https://github.com/ros/ros_comm/issues/1372>)
  * implement bag encryption/decryption (#1206 <https://github.com/ros/ros_comm/issues/1206>)
  * add TransportHint options --tcpnodelay and --udp (#1295 <https://github.com/ros/ros_comm/issues/1295>)
  * fix check for header first in rosbag play for rate control topic (#1352 <https://github.com/ros/ros_comm/issues/1352>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rosbag (1.13.6-1bionic) bionic; urgency=high

  * return an error status on error in rosbag (#1257 <https://github.com/ros/ros_comm/issues/1257>)
  * fix warn of --max-splits without --split (#1237 <https://github.com/ros/ros_comm/issues/1237>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-melodic-rosbag (1.13.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-melodic-rosbag (1.13.4-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-rosbag (1.13.3-1bionic) bionic; urgency=high

  * fix publishing of selected topics from bag file (#1156 <https://github.com/ros/ros_comm/issues/1156>)
  * fix Python 3 compatibility (#1150 <https://github.com/ros/ros_comm/issues/1150>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-melodic-rosbag (1.13.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 07:00:00 -0000

ros-melodic-rosbag (1.13.1-1bionic) bionic; urgency=high

  * fix handling connections without indices (#1109 <https://github.com/ros/ros_comm/pull/1109>)
  * improve message of check command (#1067 <https://github.com/ros/ros_comm/pull/1067>)
  * fix BZip2 inclusion (#1016 <https://github.com/ros/ros_comm/pull/1016>)
  * expose rate-control-topic and rate-control-max-delay args to command line tool (#1015 <https://github.com/ros/ros_comm/pull/1015>)
  * improve migration rule generation (#1009 <https://github.com/ros/ros_comm/pull/1009>, #1010 <https://github.com/ros/ros_comm/pull/1010>, #1011 <https://github.com/ros/ros_comm/pull/1011>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-melodic-rosbag (1.13.0-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-melodic-rosbag (1.12.7-1bionic) bionic; urgency=high

  * throw exception instead of accessing invalid memory (#971 <https://github.com/ros/ros_comm/pull/971>)
  * move headers to include/xmlrpcpp (#962 <https://github.com/ros/ros_comm/issues/962>)
  * added option wait-for-subscriber to rosbag play (#959 <https://github.com/ros/ros_comm/issues/959>)
  * terminate underlying rosbag play, record  on SIGTERM (#951 <https://github.com/ros/ros_comm/issues/951>)
  * add pause service for rosbag player (#949 <https://github.com/ros/ros_comm/issues/949>)
  * add rate-control-topic and rate-control-max-delay. (#947 <https://github.com/ros/ros_comm/issues/947>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-melodic-rosbag (1.12.6-1bionic) bionic; urgency=high

  * fix BagMigrationException in migrate_raw (#917 <https://github.com/ros/ros_comm/issues/917>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-melodic-rosbag (1.12.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-melodic-rosbag (1.12.4-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-melodic-rosbag (1.12.3-1bionic) bionic; urgency=high

  * set default values for min_space and min_space_str (#883 <https://github.com/ros/ros_comm/issues/883>)
  * record a maximum number of splits and then begin deleting old files (#866 <https://github.com/ros/ros_comm/issues/866>)
  * allow 64-bit sizes to be passed to robag max_size (#865 <https://github.com/ros/ros_comm/issues/865>)
  * update rosbag filter progress meter to use raw uncompressed input size (#857 <https://github.com/ros/ros_comm/issues/857>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-melodic-rosbag (1.12.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-melodic-rosbag (1.12.1-1bionic) bionic; urgency=high

  * promote the result of read_messages to a namedtuple (#777 <https://github.com/ros/ros_comm/pull/777>)
  * use directory specific compiler flags (#785 <https://github.com/ros/ros_comm/pull/785>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-melodic-rosbag (1.12.0-1bionic) bionic; urgency=high

  * add missing parameter to AdvertiseOptions::createAdvertiseOptions (#733 <https://github.com/ros/ros_comm/issues/733>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-melodic-rosbag (1.11.18-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-melodic-rosbag (1.11.17-1bionic) bionic; urgency=high

  * use boost::make_shared instead of new for constructing boost::shared_ptr (#740 <https://github.com/ros/ros_comm/issues/740>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-melodic-rosbag (1.11.16-1bionic) bionic; urgency=high

  * show size unit for --size of rosbag record in help string (#697 <https://github.com/ros/ros_comm/pull/697>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-melodic-rosbag (1.11.15-1bionic) bionic; urgency=high

  * add option --prefix for prefixing output topics (#626 <https://github.com/ros/ros_comm/pull/626>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-melodic-rosbag (1.11.14-1bionic) bionic; urgency=high

  * reduce memory usage by using slots for IndexEntry types (#613 <https://github.com/ros/ros_comm/pull/613>)
  * remove duplicate topics (#647 <https://github.com/ros/ros_comm/issues/647>)
  * better exception when calling get_start_time / get_end_time on empty bags (#657 <https://github.com/ros/ros_comm/pull/657>)
  * make support for lz4 in rosbag optional (#642 <https://github.com/ros/ros_comm/pull/642>)
  * fix handling of "play --topics" (#620 <https://github.com/ros/ros_comm/issues/620>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-melodic-rosbag (1.11.13-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000

ros-melodic-rosbag (1.11.12-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-melodic-rosbag (1.11.11-1bionic) bionic; urgency=high

  * add support for pausing when specified topics are about to be published (#569 <https://github.com/ros/ros_comm/pull/569>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-melodic-rosbag (1.11.10-1bionic) bionic; urgency=high

  * add option to specify the minimum disk space at which recording is stopped (#500 <https://github.com/ros/ros_comm/pull/500>)
  * add convenience API to Python rosbag (#508 <https://github.com/ros/ros_comm/issues/508>)
  * fix delay on detecting a running rosmaster with use_sim_time set (#532 <https://github.com/ros/ros_comm/pull/532>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-melodic-rosbag (1.11.9-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-melodic-rosbag (1.11.8-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 07:00:00 -0000

ros-melodic-rosbag (1.11.7-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-melodic-rosbag (1.11.6-1bionic) bionic; urgency=high

  * fix rosbag record prefix (#449 <https://github.com/ros/ros_comm/issues/449>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-melodic-rosbag (1.11.5-1bionic) bionic; urgency=high

  * Fix typo in rosbag usage

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 07:00:00 -0000

ros-melodic-rosbag (1.11.4-1bionic) bionic; urgency=high

  * Python 3 compatibility (#426 <https://github.com/ros/ros_comm/issues/426>, #430 <https://github.com/ros/ros_comm/issues/430>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 07:00:00 -0000

ros-melodic-rosbag (1.11.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 07:00:00 -0000

ros-melodic-rosbag (1.11.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 07:00:00 -0000

ros-melodic-rosbag (1.11.1-1bionic) bionic; urgency=high

  * add lz4 compression to rosbag (Python and C++) (#356 <https://github.com/ros/ros_comm/issues/356>)
  * fix rosbag record --node (#357 <https://github.com/ros/ros_comm/issues/357>)
  * move rosbag dox to rosbag_storage (#389 <https://github.com/ros/ros_comm/issues/389>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-melodic-rosbag (1.11.0-1bionic) bionic; urgency=high

  * use catkin_install_python() to install Python scripts (#361 <https://github.com/ros/ros_comm/issues/361>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-melodic-rosbag (1.10.0-1bionic) bionic; urgency=high

  * remove use of __connection header

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 08:00:00 -0000

ros-melodic-rosbag (1.9.54-1bionic) bionic; urgency=high

  * readd missing declaration of rosbag::createAdvertiseOptions (#338 <https://github.com/ros/ros_comm/issues/338>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jan 2014 08:00:00 -0000

ros-melodic-rosbag (1.9.53-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Jan 2014 08:00:00 -0000

ros-melodic-rosbag (1.9.52-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-melodic-rosbag (1.9.51-1bionic) bionic; urgency=high

  * move several client library independent parts from ros_comm into roscpp_core, split rosbag storage specific stuff from client library usage (#299 <https://github.com/ros/ros_comm/issues/299>)
  * fix return value on platforms where char is unsigned.
  * fix usage of boost include directories

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-melodic-rosbag (1.9.50-1bionic) bionic; urgency=high

  * add chunksize option to rosbag record

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2013 07:00:00 -0000

ros-melodic-rosbag (1.9.49-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Sep 2013 07:00:00 -0000

ros-melodic-rosbag (1.9.48-1bionic) bionic; urgency=high

  * search for exported rosbag migration rules based on new package rosbag_migration_rule

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-melodic-rosbag (1.9.47-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jul 2013 07:00:00 -0000

ros-melodic-rosbag (1.9.46-1bionic) bionic; urgency=high

  * fix crash in bag migration (#239 <https://github.com/ros/ros_comm/issues/239>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 18 Jun 2013 07:00:00 -0000

ros-melodic-rosbag (1.9.45-1bionic) bionic; urgency=high

  * added option '--duration' to 'rosbag play' (#121 <https://github.com/ros/ros_comm/issues/121>)
  * fix missing newlines in rosbag error messages (#237 <https://github.com/ros/ros_comm/issues/237>)
  * fix flushing for tools like 'rosbag compress' (#237 <https://github.com/ros/ros_comm/issues/237>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-melodic-rosbag (1.9.44-1bionic) bionic; urgency=high

  * fix various issues on Windows (#189 <https://github.com/ros/ros_comm/issues/189>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Mar 2013 07:00:00 -0000

ros-melodic-rosbag (1.9.43-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Mar 2013 07:00:00 -0000

ros-melodic-rosbag (1.9.42-1bionic) bionic; urgency=high

  * added option '--duration' to 'rosrun rosbag play' (#121 <https://github.com/ros/ros_comm/issues/121>)
  * add error message to rosbag when using same in and out file (#171 <https://github.com/ros/ros_comm/issues/171>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 08:00:00 -0000

ros-melodic-rosbag (1.9.41-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 Jan 2013 08:00:00 -0000

ros-melodic-rosbag (1.9.40-1bionic) bionic; urgency=high

  * fix bagsort script (#42 <https://github.com/ros/ros_comm/issues/42>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Jan 2013 08:00:00 -0000

ros-melodic-rosbag (1.9.39-1bionic) bionic; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 29 Dec 2012 08:00:00 -0000


